// $('.filter-sec .search_companies .select2-container--default .select2-selection--multiple .select2-selection__rendered').empty()
// $('.filter-sec .search_industries .select2-container--default .select2-selection--multiple .select2-selection__rendered').empty()

// $("#search_states_ids").empty().html('<%#=j options_from_collection_for_select(@states, "id", "state_name") %>');
// $("#search_city_ids").empty().html('<%#=j options_from_collection_for_select(@cities, "id", "city_name") %>');
// $("#search_job_title_ids").empty().html('<%#=j options_from_collection_for_select(@job_titles, "id", "job_title_name") %>');
fill_city();
var tab_type = "<%= @tab_type %>"
$('.year_select').change(function(){
    if($(this).val() == "" || $(this).val() == null){
        $(this).val('2017').select2().trigger('change')
    }
})
<% if !session[:companies_search].present? %>
$('.select_company_main').html("").select2({
    placeholder: 'Select Company',
    ajax: {
        // url: '/companies/company_select2?tab_type='+$('#type_select_val').val(),
        url: '/companies/company_select2?tab_type='+$('#type_select_val').val(),
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name.toProperCase(),
                        // slug: item.slug,
                        id: item.id
                    }
                })
            };
        }
    }
})
$('.select_industry_main').html("").select2({
    placeholder: 'Select Industry',
    ajax: {
        // url: '/companies/industry_select2?tab_type='+$('#type_select_val').val(),
        url: '/companies/industry_select2?tab_type='+$('#type_select_val').val(),
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.industry_name.toProperCase(),
                        // slug: item.slug,
                        id: item.id
                    }
                })
            };
        }
    }
})
$( ".select_city" ).html("").select2({
    placeholder: 'Select City',
    ajax: {
        // url: '/companies/city_select2?tab_type='+$('#type_select_val').val()+"&state_ids="+$('#search_state_ids').val(),
        url: '/companies/city_select2?tab_type='+$('#type_select_val').val()+"&state_ids="+$('#search_state_ids').val(),
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.city_name.toProperCase(),
                        // slug: item.slug,
                        id: item.id
                    }
                })
            };
        }
    }
});
// $( ".select_title" ).empty().trigger("change");
$( ".select_job_title" ).html("").select2({
    placeholder: 'Select Job Title',
    ajax: {
        // url: '/companies/job_title_select2?tab_type='+tab_type,
        url: '/companies/job_title_select2?tab_type='+tab_type,
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.job_title_name.toProperCase(),
                        // slug: item.slug,
                        id: item.id
                    }
                })
            };
        }
    }
});
<% end %>
<% if params[:type].eql?('greencard') %>
    console.log("====in GC=====");
    $('#alumni').hide()
    $('.state_list').show()
    $('.year_list').show()
    $( ".select_university" ).select2({
        placeholder: 'Select University',
        // tags: true,
        ajax: {
            // url: '/companies/university_select2?tab_type='+$('#type_select_val').val(),
            url: '/companies/university_select2?tab_type='+$('#type_select_val').val(),
            dataType: 'json',
            data: function(term){
                return{
                    term: term
                };
            },
            processResults: function (data) {
                return {
                    results: $.map(data, function (item) {
                        return {
                            text: item.name.toProperCase(),
                            // slug: item.slug,
                            id: item.id
                        }
                    })
                };
            }
        }
    });
    $( ".select_birth_country" ).select2({
        placeholder: 'Select Birth Country',
        ajax: {
            // url: '/companies/birth_country_select2?tab_type='+$('#type_select_val').val(),
            url: '/companies/birth_country_select2?tab_type='+$('#type_select_val').val(),
            dataType: 'json',
            data: function(term){
                return{
                    term: term
                };
            },
            processResults: function (data) {
                return {
                    results: $.map(data, function (item) {
                        return {
                            text: item.name.toProperCase(),
                            // slug: item.slug,
                            id: item.id
                        }
                    })
                };
            }
        }
    });
    $('#GreenCard').show()
    // $("#search_birth_country_ids").empty().html('<%#=j options_from_collection_for_select(@birth_countries, "id", "name") %>');
    // $("#search_university_ids").empty().html('<%#=j options_from_collection_for_select(@universities, "id", "name") %>');
<% elsif params[:type].eql?('alumni') %>
    console.log("====in alumni=====");
    $('.year_list').hide()
    $('.state_list').hide()
    $('#GreenCard').hide()
    $( ".select_graduation_year" ).select2({
        placeholder: 'Select Graduation Year',
    });
    $( ".select_function" ).select2({
        placeholder: 'Select Function',
    });
    $('#alumni').show()
    $('#search_graduation_year_ids').empty().html('<%=j options_from_collection_for_select(@graduation_year, "id", "year") %>')
    $('#search_emp_function_ids').empty().html('<%=j options_from_collection_for_select(@functions, "id", "name") %>')
<% else %>
    console.log("====in else=====");
    $('.year_list').show()
    $('#alumni').hide()
    $('#GreenCard').hide()
<% end %>
<% if !session[:companies_search].present? %>
    $('.search_companies .select2-selection__rendered').each(function(){
        // console.log($(this));
        // console.log($(this).children().find('input.select2-search__field'));
        // console.log($(this).children().find('li.select2-selection__choice').length);
        if($(this).children().first().hasClass('select2-selection__choice')){
            // console.log($(this).children().first());
            // console.log($(this).children().find('input.select2-search__field'));
            // .select2-container .select2-search--inline .select2-search__field{min-width: 158px;}
            $(this).children().find('input.select2-search__field').removeClass('select2_min_width')
        }else {
            $(this).children().find('input.select2-search__field').addClass('select2_min_width')
        }
    })
    $('#search_state_ids').html("").trigger("change");
    clear_all_select2()
<% end %>
